import request from '@/utils/request'

// 确认PUMPFILL完成确认清单
export function handleConfirmPumpFill(data) {
  return request({
    url: '/pssr/pumpFill/confirmPumpFill',
    method: 'put',
    data: data
  })
}

// 驳回PUMPFILL完成确认清单
export function handleTurnDownPumpFill(data) {
  return request({
    url: '/pssr/pumpFill/turnDownPumpFill',
    method: 'put',
    data: data
  })
}


// 查询机泵润滑油加注确认清单列表
export function listPumpFill(query) {
  return request({
    url: '/pssr/pumpFill/list',
    method: 'get',
    params: query
  })
}

// 查询机泵润滑油加注确认清单详细
export function getPumpFill(id) {
  return request({
    url: '/pssr/pumpFill/' + id,
    method: 'get'
  })
}

// 新增机泵润滑油加注确认清单
export function addPumpFill(data) {
  return request({
    url: '/pssr/pumpFill',
    method: 'post',
    data: data
  })
}

// 修改机泵润滑油加注确认清单
export function updatePumpFill(data) {
  return request({
    url: '/pssr/pumpFill',
    method: 'put',
    data: data
  })
}

//
export function updatePumpFillBatch(data) {
  return request({
    url: '/pssr/pumpFill/editBatch',
    method: 'put',
    data: data
  })
}


// 删除机泵润滑油加注确认清单
export function delPumpFill(id) {
  return request({
    url: '/pssr/pumpFill/' + id,
    method: 'delete'
  })
}

// 导出机泵润滑油加注确认清单
export function exportPumpFill(query) {
  return request({
    url: '/pssr/pumpFill/export',
    method: 'get',
    params: query
  })
}
